Page MenuHomePhabricator

Update Special:LanguageStats and Special:MessageGroupStats to use WMUI color palette
Closed, ResolvedPublic

Description

The colors used by Special:LanguageStats and Special:MessageGroupStats (and possibly other related pages) are very nonstandard and kind of ugly, and the dark red seems to have contrast issues. It would be nice to get them updated to follow the standard color palette.

Event Timeline

Jay8g created this task.Apr 3 2017, 3:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2017, 3:52 PM
Ladsgroup claimed this task.Apr 4 2017, 3:36 AM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptApr 4 2017, 3:36 AM

Change 346233 abandoned by Ladsgroup:
Add text color option to configs of StatsUtil

Reason:
I don't think this will be needed

https://gerrit.wikimedia.org/r/346233

Can we do without the sad green proposed by your patch?

The green suggested in M82 is this unless we go with brighter version, but I'm not sure if they would be useful enough.

Colors are quite problematic: Hard to compare (which is "more red" or so), significant amount of people are color-blind to some degree. Aside of the aesthetic problems that easily occur.

Would it be a way out to use some sort of bar instead of the background color?
Like this:

(from libre office calc: formatting/conditional: Data bar)
(could be implemented via a background color gradient which is shifted (and is many other ways))

The percentage is the primary data – color is used here just for as an additional cue.

Let's not start discussing redoing of the stats page here, that's better done in

Result after this patch:

Jay8g added a comment.Apr 10 2017, 3:49 PM

Do we really need that much gradation? It seems like it would still work with a few "bins" for color coding, which could be set to actual standard colors.

Change 346281 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Use better colors for ranking

https://gerrit.wikimedia.org/r/346281

Ladsgroup closed this task as Resolved.May 21 2017, 1:14 PM

Change 357169 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Change colors of LanguageStats to comply with WikimediaUI color palette

https://gerrit.wikimedia.org/r/357169

Ladsgroup reopened this task as Open.Jun 4 2017, 10:02 PM

One small thing left.

Change 357169 merged by jenkins-bot:
[operations/mediawiki-config@master] Change colors of LanguageStats to comply with WikimediaUI color palette

https://gerrit.wikimedia.org/r/357169

Ladsgroup closed this task as Resolved.Jun 5 2017, 6:56 PM